org.hibernate.search.query.dsl.impl

## Class FieldsContext

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.FieldsContext

- All Implemented Interfaces:
    Iterable<FieldContext>

      public class FieldsContext
      extends Object
      implements Iterable<FieldContext>

  Encapsulate the common field context state capture.
  Author:
    Emmanuel Bernard

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `NO_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldsContext(String[] fieldNames, QueryBuildingContext queryContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(String fieldName)`
    `void` | `addAll(String... fieldNames)`
    `void` | `boostedTo(float boost)`
    `FieldContext` | `getFirst()`
    `void` | `ignoreAnalyzer()`
    `void` | `ignoreFieldBridge()`
    `Iterator<FieldContext>` | `iterator()`
    `int` | `size()`
    `void` | `withFieldBridge(FieldBridge fieldBridge)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### NO_FIELD

          public static final String[] NO_FIELD

  - ### Constructor Detail

    - #### FieldsContext

          public FieldsContext(String[] fieldNames,
                               QueryBuildingContext queryContext)

  - ### Method Detail

    - #### add

          public void add(String fieldName)

    - #### addAll

          public void addAll(String... fieldNames)

    - #### boostedTo

          public void boostedTo(float boost)

    - #### ignoreAnalyzer

          public void ignoreAnalyzer()

    - #### ignoreFieldBridge

          public void ignoreFieldBridge()

    - #### withFieldBridge

          public void withFieldBridge(FieldBridge fieldBridge)

    - #### getFirst

          public FieldContext getFirst()

    - #### size

          public int size()

    - #### iterator

          public Iterator<FieldContext> iterator()

      Specified by:
        `iterator` in interface `Iterable<FieldContext>`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved